LOG_Interrupt   equ     0D6
LOG_PORT        equ     514

; Priorities
LOG_EMERG       equ     0       ; system is unusable
LOG_ALERT       equ     1       ; action must be taken immediately
LOG_CRIT        equ     2       ; critical conditions
LOG_ERR         equ     3       ; error conditions
LOG_WARNING     equ     4       ; warning conditions
LOG_NOTICE      equ     5       ; normal but significant condition
LOG_INFO        equ     6       ; informational
LOG_DEBUG       equ     7       ; debug messages

LOG_PRIMASK     equ     7       ; mask to extract priority part (internal)

; Facility codes
LOG_KERN        equ     0
LOG_USER        equ     1
LOG_MAIL        equ     2
LOG_DAEMON      equ     3
LOG_AUTH        equ     4
LOG_SYSLOG      equ     5
LOG_LPR         equ     6
LOG_NEWS        equ     7
LOG_UUCP        equ     8
LOG_CRON        equ     9
LOG_AUTHPRIV    equ     10
LOG_FTP         equ     11
; other codes through 15 reserved for system use
LOG_LOCAL0      equ     16
LOG_LOCAL1      equ     17
LOG_LOCAL2      equ     18
LOG_LOCAL3      equ     19
LOG_LOCAL4      equ     20
LOG_LOCAL5      equ     21
LOG_LOCAL6      equ     22
LOG_LOCAL7      equ     23

; Option flags for openlog
LOG_PID         equ     001
LOG_CONS        equ     002
LOG_ODELAY      equ     004
LOG_NDELAY      equ     008
LOG_NOWAIT      equ     010
LOG_PERROR      equ     020

; Macros
LOG_MAKEPRI MACRO ; <facility>,<priority>
        ((#1 SHL 3)+#2)
#EM

LOG_BUFFER_SIZE equ     512
